From 83d3ccf7e0bb7732c70da825bfcfb8d0e453c207 Mon Sep 17 00:00:00 2001
From: Vignesh C <vignesh21@gmail.com>
Date: Fri, 6 Oct 2023 15:24:12 +0530
Subject: [PATCH] Fix typo in couple of places.

"the the" should be "the".
---
 .cirrus.star                        | 2 +-
 src/backend/executor/nodeHashjoin.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/.cirrus.star b/.cirrus.star
index d2d6ceca20..36233872d1 100644
--- a/.cirrus.star
+++ b/.cirrus.star
@@ -46,7 +46,7 @@ def main():
 
 def config_from(config_src):
     """return contents of config file `config_src`, surrounded by markers
-    indicating start / end of the the included file
+    indicating start / end of the included file
     """
 
     config_contents = fs.read(config_src)
diff --git a/src/backend/executor/nodeHashjoin.c b/src/backend/executor/nodeHashjoin.c
index aea44a9d56..25a2d78f15 100644
--- a/src/backend/executor/nodeHashjoin.c
+++ b/src/backend/executor/nodeHashjoin.c
@@ -1306,7 +1306,7 @@ ExecParallelHashJoinNewBatch(HashJoinState *hjstate)
  * The data recorded in the file for each tuple is its hash value,
  * then the tuple in MinimalTuple format.
  *
- * fileptr points to a batch file in one of the the hashtable arrays.
+ * fileptr points to a batch file in one of the hashtable arrays.
  *
  * The batch files (and their buffers) are allocated in the spill context
  * created for the hashtable.
-- 
2.34.1

